Name:		virtuozzo-motd
Version:	0.3
Release:	2%{?dist}
Summary:	Virtuozzo motd

Group:		System Environment/Base
License:	GPLv2
Source0:	issue.template
Source1:	ifup-local
Source2:	40-ifup-local
Source3:	vz-motd.service
BuildArch:	noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root

Requires(preun): systemd-units
Requires(postun): systemd-units
Requires(post): systemd-units

%description
Virtuozzo custom login screen and message of the day file

%prep

%install
mkdir -p %{buildroot}/etc/NetworkManager/dispatcher.d
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}/lib/systemd/system
install -m 644 %{SOURCE0} %{buildroot}/%{_sysconfdir}/issue.vz
install -m 755 %{SOURCE1} %{buildroot}/sbin/
ln -s -f /sbin/ifup-local %{buildroot}/sbin/ifdown-local
install -m 755 %{SOURCE2} %{buildroot}/%{_sysconfdir}/NetworkManager/dispatcher.d/
install -m 644 %{SOURCE3} %{buildroot}/lib/systemd/system/

%clean
rm -rf %{buildroot}

%post
%systemd_post vz-motd.service

%preun
%systemd_preun vz-motd.service

%postun
%systemd_postun

%triggerin -- cloudlinux-release >= 7.0, centos-release >= 7.0, redhat-release >= 7.0, vzlinux-release >= 7.0
cat %{_sysconfdir}/issue.vz > %{_sysconfdir}/issue 2>/dev/null
/sbin/ifup-local > /dev/null 2>&1
:

%files
%defattr(-,root,root,-)
/etc/issue.vz
/sbin/ifup-local
/sbin/ifdown-local
/etc/NetworkManager/dispatcher.d/40-ifup-local
/lib/systemd/system/vz-motd.service

%changelog
* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 0.3-2
- Technical rebuild, see #PSBM-47948
- Added vzlinux-release trigger

* Tue Jul  7 2015 Alexander Burluka <aburluka@odin.com> - 0.1-1
- Initial build
